> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Queue Map API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/quality-ai/api-list)</Badge>

The Create Queue Map API lets you to create a queue mapping for Quality AI evaluation. This mapping defines how queues are associated with evaluation criteria and helps in organizing and analyzing quality data across different queues.

| **METHOD**    | **POST**                                                                                                                          |
| :------------ | :-------------------------------------------------------------------------------------------------------------------------------- |
| Endpoint      | `https://{{host}}/qualityManagement/api/v1/public/{{botID}}/qm/queuemappings/create`                                              |
| Content Type  | `application/json`                                                                                                                |
| Authorization | `auth: {{JWT}}` — See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token). |
| API Scope     | Quality Management Analytics.                                                                                                     |

## Header Parameters

| Parameter      | Description                                                        | Type             |
| :------------- | :----------------------------------------------------------------- | :--------------- |
| `Content-Type` | `application/json`                                                 | string, required |
| `accountId`    | Unique account identifier. For example, `67a9ca06cf0e510a8632xxxx` | string, required |
| `auth`         | JWT token used for authentication.                                 | string, required |

## Path Parameters

| Parameter | Description                                               | Type             |
| :-------- | :-------------------------------------------------------- | :--------------- |
| `host`    | Environment URL. For example, `https://platform.kore.ai/` | string, required |
| `botID`   | `botId`. Retrieve this from the App Settings page.        | string, required |

## Sample Request

```bash theme={null}
curl --location 'https://{{host}}/qualityManagement/api/v1/public/{{botID}}/qm/queuemappings/create' \
--header 'accountId: {{accountId}}' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
  "customQueueId": "checkjune12Q",
  "queueName": "check june12 queue",
  "conversationSource": "QMExpressAI"
}'
```

## Body Parameters

| Parameter            | Description                                       | Type             |
| :------------------- | :------------------------------------------------ | :--------------- |
| `customQueueId`      | Unique queue identifier.                          | string, Required |
| `queueName`          | Queue name.                                       | string, required |
| `conversationSource` | Conversation source (`AgentAI` or `QMExpressAI`). | string, required |

## Sample Response

```json theme={null}
{
  "results": {
    "customQueueId": "checkjune12Q",
    "queueName": "check june12 queue",
    "conversationSource": "QMExpressAI"
  }
}
```

## Response Body Parameters

| Parameter            | Description              | Type   |
| :------------------- | :----------------------- | ------ |
| `customQueueId`      | Unique queue identifier. | string |
| `queueName`          | Queue name.              | string |
| `conversationSource` | Conversation source.     | string |
